Skip to main content
GET
/
agent
/
v2
/
run
/
{id}
/
status
Get v2 run status
curl --request GET \
  --url https://api.case.dev/agent/v2/run/{id}/status \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "status": "queued",
  "provider": "<string>",
  "runtimeId": "<string>",
  "runtimeState": "<string>",
  "startedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "durationMs": 123
}

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

id
string
required

Response

Run status

id
string
status
enum<string>
Available options:
queued,
running,
completed,
failed,
cancelled
provider
string | null
runtimeId
string | null
runtimeState
string | null
startedAt
string<date-time> | null
completedAt
string<date-time> | null
durationMs
integer | null